.cc-navbar {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  background: transparent;
  height: 62.4px;

  .logo-container {
    padding: 0 80px;
    padding-top: 60px;

    a img {
      /* height: 62px; */
      width: 274px;
    }
  }
}

.banner {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 40px;
  padding: 0 80px;
  padding-top: 62.4px;
  height: 100vh;

  background-image: url('./assets/image/Landing Background.svg');
  background-size: cover;

  .title-container {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
    flex: 1;

    button {
      width: max-content;
      margin-top: 80px;
    }

    .banner-title {
      color: var(--c-grey-50);
    }

    .banner-subtitle {
      color: var(--c-grey-200);
    }
  }

  .banner-img {
    flex: 1;

    img {
      width: 100%;
    }
  }
}

.bullet-points {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 120px;
  padding: 80px;
  background: var(--c-grey-50);

  .section-title {
    text-align: center;
  }

  .bullet-container {
    display: flex;
    align-items: stretch;
    gap: 12px;

    .card {
      position: relative;
      min-width: 300px;
      padding: 56px 16px 44px;
      box-shadow: var(--shadow-08);
      border-radius: 16px;
      flex: 1;

      & .card-icon {
        position: absolute;
        top: -40px;
        left: 16px;
        background: linear-gradient(90deg, #0d559b -105.14%, #0696ff 200.6%);
        border-radius: 24px;
        padding: 16px;
      }
    }
  }
}

.features-tools {
  display: flex;
  flex-direction: column;
  padding: 80px;

  background-image: url('./assets/image/background.svg');
  /* background-size: cover; */

  .section-title {
    color: var(--c-grey-50);
    text-align: center;
    margin-bottom: 24px;
  }

  .section-subtitle {
    color: var(--c-blue-600);
    text-align: center;
    margin-bottom: 80px;
  }

  .info-card-container {
    display: flex;
    flex-wrap: wrap;
    gap: 32px;

    .info-card {
      display: flex;
      flex-direction: column;
      flex: 1 1 30%;

      .info-card__header {
        display: flex;
        align-items: center;
        padding: 16px;
        gap: 16px;
        border-radius: 16px;

        background: #0e345d40;

        > span {
          color: var(--c-grey-50);
        }
      }

      .info-card__description {
        padding: 16px;
        color: var(--c-grey-400);
      }
    }
  }
}

.advantages {
  padding: 80px;
  background-color: var(--c-grey-50);

  .container {
    width: max-content;
    margin: 0 auto;

    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 40px;

    .advantage {
      display: flex;
      align-items: center;
      gap: 16px;
    }
  }
}

.action-section {
  background-image: url('./assets/image/Contact\ Background.svg');

  display: flex;
  flex-direction: column;
  color: var(--c-grey-50);
  text-align: center;
  padding: 80px;
  padding-bottom: calc(80px + 20vw);

  position: relative;

  .section-title {
    margin-bottom: 16px;
  }

  .content {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 40px;

    margin-top: 120px;
  }

  .action-svg {
    position: absolute;
    left: 50%;
    top: 100%;
    transform: translateX(-50%) translateY(-75%);
    height: 50%;
    overflow: hidden;

    img {
      width: 75vw;
    }
  }
}

.footer {
  display: block;
  width: 100%;
  padding: 40px 80px;
  background: var(--c-white);
  position: relative;
  z-index: 10;

  .footer-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 10px;

    .social-media-buttons {
      display: flex;
      align-items: center;
      gap: 40px;

      a img {
        height: 20px;
        width: 20px;

        &:hover {
          filter: invert(0.5) sepia(1) saturate(10) hue-rotate(208deg) saturate(5) brightness(0.7);
        }
      }
    }
  }

  .footer-links {
    display: flex;
    padding: 30px 0;
    gap: 90px;
    margin-bottom: 10px;

    img {
      margin-left: auto;
    }

    .column {
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      justify-content: flex-start;
      gap: 20px;
      a {
        text-decoration: none;
        color: var(--c-grey-500);

        &:hover {
          text-decoration: underline;
        }
      }
    }
  }

  .footer-locations {
    display: flex;
    padding: 20px 0px 30px;
    gap: 50px;

    .location {
      display: flex;
      gap: 10px;
      flex-direction: column;

      .details {
        display: flex;
        flex-direction: column;
        gap: 6px;

        span {
          color: var(--c-grey-500);
        }

        a {
          text-decoration: none;
          color: var(--c-blue-800);

          &:hover {
            text-decoration: underline;
          }
        }
      }
    }
  }

  .footer-terms {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 0;

    .links {
      display: flex;
      a {
        text-decoration: none;
        padding: 0 10px;
        border-right: 1px solid #727382;

        &:hover {
          text-decoration: underline;
        }

        &:first-of-type {
          padding-left: 0;
        }

        &:last-of-type {
          padding-right: 0;
          border: none;
        }
      }
    }
  }
}

/* 4K */
@media screen and (min-width: 2000px) {
  .banner {
    & .banner-img {
      padding-right: 5vw;
      flex: 4px;
    }
  }

  .action-section {
    .action-svg {
      transform: translateX(-50%) translateY(-90%);
    }
  }
}

/* Tablet  */
@media screen and (max-width: 1024px) {
  .banner {
    flex-direction: column;

    .title-container,
    .banner-img {
      flex: unset;
    }
  }

  .bullet-points {
    .bullet-container {
      flex-wrap: wrap;
      justify-content: center;
      row-gap: 60px;

      .card {
        flex: 1 1 20%;
      }
    }
  }

  .features-tools {
    .info-card-container {
      .info-card {
        flex: 1 1 31%;
      }
    }
  }

  .action-section {
    .action-svg {
      transform: translateX(-50%) translateY(-50%);
    }
  }

  .advantages {
    .container {
      .advantage {
        text-wrap: wrap;
        max-width: 85vw;
      }
    }
  }
}

/* Mobile */
@media screen and (max-width: 540px) {
  .banner {
    height: 100vh;
    & .banner-img {
      display: none;
    }
  }

  .bullet-points {
    padding: 40px;
    & .bullet-container {
      width: 100%;
      flex-wrap: wrap;
      gap: 80px;
    }
  }

  .advantages {
    padding: 40px;

    .container {
      width: 100%;
      .advantage {
        width: 100%;
      }
    }
  }

  .action-section {
    padding: 50px;

    .action-svg {
      display: none;
    }
  }

  .footer {
    padding: 20px 30px;

    .footer-header {
      .social-media-buttons {
        gap: 20px;
      }
    }

    .footer-links {
      flex-wrap: wrap;

      img {
        margin-left: 0;
      }
    }

    .footer-locations {
      flex-wrap: wrap;
    }

    .footer-terms {
      padding: 20px 0;
      .links {
        flex-direction: column;

        a {
          border-right: 0;
          padding: 0;
        }
      }
    }
  }
}

@media screen and (max-height: 600px) {
  .cc-navbar {
    .logo-container {
      padding: 0 80px;
      padding-top: 40px;
    }
  }

  .banner {
    .title-container {
      gap: 24px;
      button {
        margin-top: 0;
      }
    }
  }
}
